package com.ywt.outpatient.domain.models.enums;

/**
 * 加诊订单状态
 */
public enum AdditionalRegistrationStatusEnum {
    Paid("已付款", 1),
    Refuse("已停诊", 1 << 1),
    Cancel("已取消", 1 << 2),
    NoShow("已失约", 1<<3 ),
    End("已结束", 1 << 4),
    Evaluate("已评价", 1 << 5),
    Refunded("已退款", 1 << 6),
    Settlement("已结算", 1 << 7),
    UNKNOWN("", 0);
    //患者取消：1<<2 ; 患者失约：1<<3 ; 医生取消：1<< 1

    private final String displayName;

    private final int value;

    AdditionalRegistrationStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


}